01 - Installing CyberPanel

I don’t need some…

  • Power DNS
  • Incremental backup
  • Root File Manager
  • Top Processes (Server Status)
  • Mail, Mail Settings
  • Containerization

Thanks

go with webmin …
you can customize and install only you need

at cyberpanel you can do that too
since you mention this

then i think you can edit the source from github … and make your own custom installation and UX UI

Hi

Which is better, faster and more flexible?

Ubuntu or CentOS

Which version is better?

Getting this error:

Complete!
Last metadata expiration check: 0:00:29 ago on Mon Jul 18 16:44:40 2022.
No match for argument: gpgme-devel
Error: Unable to find a match: gpgme-devel
above command failed…
[root@vserv ~]#

also, who’s idea was it to use light grey text on a white background? That’s a squinter hehe

ubuntu recommended by developer here

I have deleted the cyberpanel.sh file from root directory right after cyberpanel got successfully installed. Is it okay? Or, that file was important to have?

It is fine. That’s just a script to install everything. You can download it fresh with the command in this topic if you ever want to install again

1 Like

installed it on lxc container on proxmox, went fine but on reboot could not log in via terminal and ssh. so installed in on a VM with ubunutu server 2204 iso. (minimal option)

dropped to root via sudo su but the script keeps telling me am not root and still use SUDO.

so now am finally installing it (as root) with

sudo su - -c “sh <(curl https://cyberpanel.net/install.sh || wget -O - https://cyberpanel.net/install.sh)”

not sure why root is disabled or is this a ubuntu server thing did i forgot someting on the install ?

Hello, I try many times and it stops at the same error:

[09.30.2022_03-27-48] #########################################################################

[09.30.2022_03-27-48] [ERROR] We are not able to run rpm -ivh http://rpms.litespeedtech.com/centos/litespeed-repo-1.2-1.el7.noarch.rpm return code: 1. Fatal error, see /var/log/installLogs.txt for full details.

[09.30.2022_03-27-48] #########################################################################

Oops, something went wrong…
[root@webhosting-1 ~]#

Thank you in advance for your help.


Hello i get this error can someone help me what to do ?

Hello, I managed to install on a Google vps, with Centos 7, from a clean installation. In the first clean attempt I got an error for not having Openssl installed, after installing it I ran the installation again and it went smoothly. Greetings.